Skip to main content
`Ctrl`+`K`

# PetscViewerBinarySkipInfo

Binary file will not have `.info` file created with it

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinarySkipInfo(PetscViewer viewer)

Not Collective

## Input Parameter

- viewer - `PetscViewer` context, obtained from `PetscViewerCreate()`

## Options Database Key

- -viewer_binary_skip_info - true indicates do not generate `.info` file

## Notes

This must be called after `PetscViewerSetType()`. If you use `PetscViewerBinaryOpen()` then you can only skip the info file with the `-viewer_binary_skip_info` flag. To use the function you must open the viewer with `PetscViewerCreate()`, `PetscViewerSetType()`, `PetscViewerBinarySkipInfo()`.

The `.info` files contains meta information about the data in the binary file, for example the block size if it was set for a vector or matrix.

This routine is deprecated, use `PetscViewerBinarySetSkipInfo()`

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetDescriptor()`, `PetscViewerBinarySetSkipOptions()`, `PetscViewerBinaryGetSkipOptions()`, `PetscViewerBinaryGetSkipInfo()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages